summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson2010-05-12 23:30:15 +0200
committer David Somero2010-05-12 23:30:15 +0200
commit29ad0852064a5507aa9ff0498b816c9385a1e582 (patch)
treeed2f8dd32acd9d04948bbf7330516e0c1d9bbc4a
parentd2f7eb79da3aa005bf29880de7b55da819228499 (diff)
downloadslackbuilds-29ad0852064a5507aa9ff0498b816c9385a1e582.tar.gz
libraries/gnome-python: Added to 12.2 repository
-rw-r--r--libraries/gnome-python/README5
-rw-r--r--libraries/gnome-python/gnome-python.SlackBuild59
-rw-r--r--libraries/gnome-python/gnome-python.info8
-rw-r--r--libraries/gnome-python/slack-desc19
4 files changed, 91 insertions, 0 deletions
diff --git a/libraries/gnome-python/README b/libraries/gnome-python/README
new file mode 100644
index 0000000000..59105d374f
--- /dev/null
+++ b/libraries/gnome-python/README
@@ -0,0 +1,5 @@
+gnome-python is a set of bindings for the Gnome platform
+libraries. It builds on top of the PyGTK bindings for GTK and
+the PyORBit bindings for ORBit2.
+
+Requires libgnome, available at SlackBuilds.org
diff --git a/libraries/gnome-python/gnome-python.SlackBuild b/libraries/gnome-python/gnome-python.SlackBuild
new file mode 100644
index 0000000000..2f743a54a8
--- /dev/null
+++ b/libraries/gnome-python/gnome-python.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+# Slackware build script for gnome-python
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=gnome-python
+VERSION=2.22.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./waf configure --prefix=/usr --libdir=/usr/lib${LIBDIRSUFFIX}
+./waf build
+./waf install --destdir=$PKG
+
+find $PKG | xargs file | egrep "ELF.*shared object" | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog ChangeLog.pre-2-0 INSTALL INSTALL.WAF \
+ NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gnome-python/gnome-python.info b/libraries/gnome-python/gnome-python.info
new file mode 100644
index 0000000000..eb68c413ac
--- /dev/null
+++ b/libraries/gnome-python/gnome-python.info
@@ -0,0 +1,8 @@
+PRGNAM="gnome-python"
+VERSION="2.22.3"
+HOMEPAGE="http://www.gnome.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/gnome-python/2.22/gnome-python-2.22.3.tar.bz2"
+MD5SUM="ab12d94954a57de39b25eb7903d8429c"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="dsomero"
diff --git a/libraries/gnome-python/slack-desc b/libraries/gnome-python/slack-desc
new file mode 100644
index 0000000000..3ec230dd2e
--- /dev/null
+++ b/libraries/gnome-python/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-python: gnome-python (Python bindings for GNOME)
+gnome-python:
+gnome-python: gnome-python is a set of bindings for the Gnome platform
+gnome-python: libraries. It builds on top of the PyGTK bindings for GTK and
+gnome-python: the PyORBit bindings for ORBit2.
+gnome-python:
+gnome-python:
+gnome-python:
+gnome-python:
+gnome-python:
+gnome-python: